function iventured_OnEvent()
    -- /rl to reload
    SLASH_VENTUI_RELOAD1 = "/rl"
    SlashCmdList["VENTUI_RELOAD"] = ReloadUI
    -- glow effect
    SetCVar("ffxglow", 0)
    -- nether effect
    SetCVar("ffxNether", 0)
    -- death effect
    SetCVar("ffxDeath", 0)
    -- focus castbar scale
    FocusFrameSpellBar:SetScale(1.50)
    -- target castbar scale
    TargetFrameSpellBar:SetScale(1.50)
    -- player buff frame scale
    BuffFrame:SetScale(1.1)
    -- friendly player nameplates width and height
    C_NamePlate.SetNamePlateFriendlySize(60, 30)
    -- bags
    MicroButtonAndBagsBar:Hide()
    -- minimap zoom icons
    MinimapZoomIn:Hide()
    MinimapZoomOut:Hide()
    -- minimap scrollwheel zoom in/out
    Minimap:EnableMouseWheel(true)
    Minimap:SetScript("OnMouseWheel", function(self, arg1)
        if arg1 > 0 then
            Minimap_ZoomIn()
        else
            Minimap_ZoomOut()
        end
    end)
end

local iventured = CreateFrame("Frame", "iventured", UIParent);
iventured:SetScript("OnEvent", function() iventured_OnEvent() end)
iventured:RegisterEvent("PLAYER_ENTERING_WORLD")

function xventured_OnLoad()
    -- gryphons
    MainMenuBarArtFrame.LeftEndCap:Hide()
    MainMenuBarArtFrame.RightEndCap:Hide()
    -- actionbar page number
    MainMenuBarArtFrame.PageNumber:Hide()
    -- actionbar background
    MainMenuBarArtFrameBackground.BackgroundSmall:SetAlpha (0)
    MainMenuBarArtFrameBackground.BackgroundLarge:SetAlpha(0)
    -- extra button background
    ExtraActionButton1.style:SetAlpha(0)
    ExtraActionButton1.style:Hide()
    ZoneAbilityFrame.Style:SetAlpha(0)
    ZoneAbilityFrame.Style:Hide()
    -- xpbar
    StatusTrackingBarManager:SetAlpha(0)
    MainMenuBarArtFrameBackground:SetPoint("BOTTOM", UIParent)
    -- loss control background
    LossOfControlFrame.blackBg:SetAlpha(0)
    LossOfControlFrame.RedLineTop:SetAlpha(0)
    LossOfControlFrame.RedLineBottom:SetAlpha(0)
    HideLossOfControlBackground:Hide()   
end

local xventured = CreateFrame("Frame", "xventured", UIParent);
xventured:SetScript("OnEvent", function() xventured_OnLoad() end)
xventured:RegisterEvent("PLAYER_LOGIN")

-- raid frames resize slider
local n,w,h="CompactUnitFrameProfilesGeneralOptionsFrame" h,w=
_G[n.."HeightSlider"],
_G[n.."WidthSlider"]
h:SetMinMaxValues(1,150)
w:SetMinMaxValues(1,150)

-- class color unitframes
local frame = CreateFrame("FRAME")
frame:RegisterEvent("GROUP_ROSTER_UPDATE")
frame:RegisterEvent("PLAYER_TARGET_CHANGED")
frame:RegisterEvent("PLAYER_FOCUS_CHANGED")
frame:RegisterEvent("UNIT_FACTION")

local function eventHandler(self, event, ...)
    if UnitIsPlayer("target") then
        c = RAID_CLASS_COLORS[select(2, UnitClass("target"))]
        TargetFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
    end
    if UnitIsPlayer("focus") then
        c = RAID_CLASS_COLORS[select(2, UnitClass("focus"))]
        FocusFrameNameBackground:SetVertexColor(c.r, c.g, c.b)
    end
end

frame:SetScript("OnEvent", eventHandler)

for _, BarTextures in pairs({TargetFrameNameBackground, FocusFrameNameBackground}) do
    BarTextures:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
end

-- simple target of target tooltip
local targeting = ""
local TARGET_PREFIX = TARGET..":|cffffffff ";

local STT = {}

--hook the game tool tip updates, this ensures when a mouseover targets target changes
--the tooltip will update
GameTooltip:HookScript("OnUpdate", function(self, ...)
    STT:AddTargetToTT()
end)

function STT:AddTargetToTT()

    if ( not UnitExists('mouseovertarget')) then return end
    --look for the existing line that starts with "TARGET"
    local targetLine
    local useExisting = false

    for i = 2, GameTooltip:NumLines() do
        targetLine = _G["GameTooltipTextLeft"..i];
        if (targetLine:GetText():find(TARGET)) then
            --if we find it, we'll use it later instead of adding a new line
            useExisting = true
            break;
        end
    end

    targeting = UnitName("mouseovertarget")

    --modify if they are targeting you
    if targeting == UnitName("player") then
        targeting = "<YOU>"
    end

    if (targeting ~= nil and targeting ~= "") then
        --either use the existing line and set it's text, or add the new line of text
        if useExisting then
            targetLine:SetText(string.format("%s %s |r", TARGET_PREFIX, targeting ) )
        else
            GameTooltip:AddLine( string.format("%s %s |r", TARGET_PREFIX, targeting ) )
        end

        GameTooltip:Show()
    end
end

-- auto vendor grays
local g = CreateFrame("Frame")
g:RegisterEvent("MERCHANT_SHOW")

g:SetScript("OnEvent", function()
    totalPrice = 0
    for bags = 0,4 do
        for slots = 1, GetContainerNumSlots(bags) do
            CurrentItemLink = GetContainerItemLink(bags, slots)
            if CurrentItemLink then
                _, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(CurrentItemLink)
                _, itemCount = GetContainerItemInfo(bags, slots)
                if itemRarity == 0 and itemSellPrice ~= 0 then
                    totalPrice = totalPrice + (itemSellPrice * itemCount)
                    UseContainerItem(bags, slots)
                    PickupMerchantItem()
                end
            end
        end
    end
    if totalPrice ~= 0 then
        print('Sold your gray items for ' .. GetCoinTextureString(totalPrice))
    end

    -- auto repairs
    if(CanMerchantRepair()) then
        local cost = GetRepairAllCost()
        if cost > 0 then
            local money = GetMoney()
            if money > cost then
                RepairAllItems()
                print('Repairing all items for ' .. GetCoinTextureString(cost))
            else
                print("Not enough gold to cover the repair cost.")
            end
        end
    end
end)